template ovhTemplate {
    # Source: https://docs.ovh.com/fr/logs-data-platform/how-to-log-your-linux/

    template("<${LEVEL_NUM}>1 ${ISODATE} ${HOST} ${PROGRAM} ${PID} - [sdid@32473 X-OVH-TOKEN=\"{{ ldp_token }}\" pid=\"${PID}\" facility=\"${FACILITY}\" priority=\"${PRIORITY}\"] ${MSG}\n");
    template_escape(no);
};

destination ovhPaaSLogs {
    network("{{ ldp_zone }}.logs.ovh.com"
        port(6514),
        template(ovhTemplate),
        ts_format("iso"),
        transport("tls"),
        tls(peer-verify("required-trusted") ca_dir("/etc/ssl/certs/")),
        keep-alive(yes),
        so_keepalive(yes),
    );
};

destination localfile {
    file("/var/log/temporaryfiletochecklogs.log");
};

log {
     source(s_src);
     destination(ovhPaaSLogs);
};

log {
     source(s_src);
     destination(localfile);
};
